<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>PINsafe Authentication</title>
<link rel="stylesheet" type="text/css" href="login.css" />
<?php

require('swivel_client.php');

$sessionID = false;
$result = 'Nothing';
$userID = isset($_REQUEST['username']) ? $_REQUEST['username'] : null;
$password = isset($_REQUEST['password']) ? $_REQUEST['password'] : null;
$otc = isset($_REQUEST['otc']) ? $_REQUEST['otc'] : null;
$warning = '';
$redirect = '#';
if (isset($_REQUEST['redirect'])) {
	$redirect = $_REQUEST['redirect'];
}
$reason = isset($_REQUEST['reason']) ? $_REQUEST['reason'] : null;

$config = new Config();
$config->load(CONFIG_DOC);

if (isset($_REQUEST['session']) && $userID != null) {
	$pinsafe = getPINsafeAgent();
	$sessionID = $pinsafe->startSession($userID);
} else if (isset($_REQUEST['login'])) {
	$pinsafe = getPINsafeAgent();
	$result = $pinsafe->authenticate($userID, $password, $otc);
	$warning = $pinsafe->getWarning();
	if ($result != null) {
		setcookie(PINSAFE_COOKIE, $result, time() + $pinsafe->getCookieTimeoutSecs(), '/');
		if ($warning == '') {
			// Redirect to original page.
			header('Location: ' . $redirect);
			exit;
		}
	}
}

?>
</head>
<body>
<h1>PINSafe Login</h1>
<form method="post">
<table id="login">
<tr class="top-row">
<th class="label">Username</th>
<td class="text"><input name="username" value="<?php echo $userID; ?>" /></td>
</tr>
<?php if ($config->passwords) { ?>
<tr class="other-row">
<th class="label">Password</th>
<td class="text"><input name="password" type="password" value=""/></td>
</tr>
<?php } ?>
<tr class="other-row">
<th class="label">OTC</th>
<td class="text"><input type="password" name="otc" value=""/></td>
</tr>
<tr id="buttons-row">
<td colspan="2">
<input type="submit" name="session" value="Image"/>
<input type="submit" name="login" value="Login"/>
<input type="hidden" name="redirect" value="<?php echo $redirect ?>" /></td>
</tr>
<?php if ($sessionID) { ?>
<tr><td colspan="2" id="image-cell">
<img src='./image.php?sessionid=<?php echo $sessionID; ?>'/>
</td></tr>
<?php }
if ($reason != null) { ?>
<tr>
<td colspan="2" class="message-cell">
	<div><?php echo $reason ?></div>
</td>
</tr>
<?php } else if ($result !== 'Nothing') { ?>
<tr>
<?php if ($result) { 
	if ($warning == '') { ?>
<td colspan="2" class="message-cell">
	<div>Login successful</div>
</td>
<?php } else { ?>
<td colspan="2" class="message-cell">
<?php	if ($warning == 'AGENT_WARN_PIN_EXPIRY') { ?>
	<div>Your PIN will expire soon. Click <a href='./changepin.php?username=<?php echo $userID; ?>'>here</a> to change it.</div>
<?php	} else if ($warning == 'AGENT_WARN_CHANGE_PIN') { ?>
	<div>You must change your PIN now. Click <a href='./changepin.php?username=<?php echo $userID; ?>'>here</a> to change it.</div>
<?php	} else { ?>
	<div><?php echo $warning; ?>. Click <a href='./changepin.php?username=<?php echo $userID; ?>'>here</a> to change your PIN.</div>
<?php	} ?>
</td>
<?php }
	} else { ?>
<td id="error-cell" class="message-cell" colspan="2">
	<div>An error occurred, please check your credentials. If the error persists contact your PINsafe Administrator.</div>
</td>
<?php } ?>
</tr>
<?php } ?>
</table>
</form>
</body>
</html>