<?php

/**********
 * PINsafe authentication header.
 * Insert this at the top of any page that requires PINsafe authentication.
 * If there is no valid PINsafe cookie, it will redirect to the login page.
 * Note that it must appear before anything is output to the browser, or it will not work.
 **********/

$swivelPath = '/swivel/'; // Change this if the Swivel URL is different.

require_once 'swivel_client.php';

$loginPage = $swivelPath . 'login.php?redirect=' . $_SERVER['REQUEST_URI'];

if (isset($_COOKIE[PINSAFE_COOKIE])) {
	$cookie = $_COOKIE[PINSAFE_COOKIE];
	$pinsafe = getPINsafeAgent();
	if ($pinsafe->isCookieValid($cookie)) {
		// Valid cookie - update it.
		$username = $pinsafe->getCookieUsername($cookie);
		$cookie = $pinsafe->getAuthCookie($username);
		setcookie(PINSAFE_COOKIE, $cookie, time() + $pinsafe->getCookieTimeoutSecs(), '/');
	} else {
		// Invalid cookie - redirect to authentication page.
		header('Location: ' . $loginPage . '&reason=Invalid cookie - ' . $pinsafe->getWarning());
		exit;
	}
} else {
	// No cookie - redirect to authentication page.
	header('Location: ' . $loginPage . '&reason=No cookie');
	exit;
}

?>

